## sosreport 4.7.2

=== debian/changelog ===
sosreport (4.7.2-0ubuntu1~20.04.2) focal; urgency=medium

  * Resolve obfuscation issues (LP: #2085607)
    - d/p/0003-sunbeam_hypervisor-Fix-obfuscation-for-ceilometer-an.patch:
      The sunbeam plugin was added recently, but ceilometer wasn't there.
    - d/p/0004-heat-Obfuscate-Add-auth_encryption_key-in-config.patch:
      The configuration option auth_encryption_key was not being
      obfuscated by default.
    - d/p/0005-placement-Obfuscate-passwords-that-have-been-missed.patch
      The NOVA_API_PASS and PLACEMENT_PASS were not being obfuscated
      in one of the config files.
    - d/p/0006-mysql-Add-obfuscation-for-password-in-conf-files.patch:
      The password field in one of the config files was not being obfuscated.

  * d/p/0007-processor-check-msr-module.patch: Check for and do not load the
    'msr' module by default in the processor plugin in focal. (LP: #2089713)

 -- Arif Ali <arif.ali@canonical.com>  Thu, 24 Oct 2024 06:45:01 +0000

sosreport (4.7.2-0ubuntu1~20.04.1) focal; urgency=medium

  * New 4.7.2 upstream release. (LP: #2054395)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.7.2

  * d/control:
    - Add 'python3-packaging' as part of the runtime depends.
    - Add 'python3-packaging' as part of the build depends:
      Use packaging for version comparison instead of pkg_resources from
      setuptools.
    - Add 'python3-yaml' as part of the build depends:
      The new saltstack collect plugin now imports the yaml module, this is
      now required to build and run the sos package

  * Former patches, now fixed:
    - d/p/0002-obfuscate-netplan-ssid-password.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-remove-magic-stderr.patch

 -- Arif Ali <arif.ali@canonical.com>  Fri, 21 Jun 2024 10:02:02 +0100

sosreport (4.5.6-0ubuntu1~20.04.2) focal; urgency=medium

  * d/tests/simple.sh:
    - Correct typo in test_mask to print ip address
      (LP: #2037873)

  * d/p/0002-obfuscate-netplan-ssid-password.patch:
    - Obfuscate SSID password in netplan/XX.yaml files
      (LP: #2037872)

 -- Nikhil Kshirsagar <nkshirsagar@ubuntu.com>  Wed, 04 Oct 2023 03:41:30 +0000

sosreport (4.5.6-0ubuntu1~20.04.1) focal; urgency=medium

  * New 4.5.6 upstream. (LP: #2028327)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.6

  * d/control:
   - Add 'python3-pexpect' as part of the build depends.

  * d/rules:
    - skip running unittests/policy_tests.py due to the avocado dependency

  * New patches:
    - d/p/0002-debian-remove-magic-stderr.patch (LP: #2028666)

  * Former patches, now fixed:
    - d/p/0002-revert-to-old-style-binary-file-detection.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Tue, 25 Jul 2023 10:52:47 +0000

sosreport (4.4-1ubuntu0.20.04.1) focal; urgency=medium

  * New 4.4 upstream. (LP: #1986611)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.3

  * New patches:
    - d/p/0002-revert-to-old-style-binary-file-detection.patch

  * Former patches, now fixed:
    - d/p/0002-fix-setup-py.patch
    - d/p/0003-mention-sos-help-in-sos-manpage.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Wed, 17 Aug 2022 04:21:47 +0000

sosreport (4.3-1ubuntu0.20.04.1) focal; urgency=medium

  * New 4.3 upstream. (LP: #1960996)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.3

  * New patches:
    - d/p/0002-fix-setup-py.patch:
      Add python sos.help module, it was miss in
      upstream release.
    - d/p/0003-mention-sos-help-in-sos-manpage.patch:
      Fix sos-help manpage.

  * Former patches, now fixed:
    - d/p/0002-report-implement_estimate-only.patch
    - d/p/0003-ceph-add-support-for-containerized-ceph-setup.patch
    - d/p/0004-ceph-split-plugin-by-components.patch
    - d/p/0005-openvswitch-get-userspace-datapath-implementations.patch
    - d/p/0006-report-check-for-symlink-before-rmtree.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Nikhil Kshirsagar <nkshirsagar@gmail.com>  Thu, 17 Feb 2022 12:26:59 +0000

sosreport (4.2-1ubuntu0.20.04.1) focal; urgency=medium

  * New 4.2 upstream release. (LP: #1941745)
    - This release contains numerous improvements
      and bug fixes to several components within sos,
      including an overhaul to the project's test suite
      and infrastructure.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.2

  * Remaining patches:
   - d/p/0001-debian-change-tmp-dir-location.patch

  * New patches:
    - d/p/0002-report-implement_estimate-only.patch
    - d/p/0003-ceph-add-support-for-containerized-ceph-setup.patch
    - d/p/0004-ceph-split-plugin-by-components.patch
    - d/p/0005-openvswitch-get-userspace-datapath-implementations.patch
    - d/p/0006-report-check-for-symlink-before-rmtree.patch

  * Former patches, now fixed:
    - d/p/0002-clean-prevent-parsing-ubuntu-user.patch
    - d/p/0003-ubuntu-policy-fix-upload.patch
    - d/p/0004-networking-check-presence-of-devlink.patch 

  * d/control:
   - Add 'python3-coverage' as part of the build depends.

  * d/rules:
   - Fix misplaced and duplicated sos.conf file in /usr/config.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 01 Nov 2021 09:02:20 -0400

sosreport (4.1-1ubuntu0.20.04.3) focal; urgency=medium

  * d/p/0004-networking-check-presence-of-devlink.patch:
    - Fix devlink module load by networking plugin (LP: #1923661)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Tue, 08 Jun 2021 20:16:09 +0000


