## sosreport 4.8.0

=== debian/changelog ===
sosreport (4.8.0-1) unstable; urgency=medium

  * New Upstream 4.8.0 release.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.8.0

  * d/copyright:
    - Remove the only plugins that were GPL-2+ from file, now that the file
      has been updated upstream and now GPL-2

  * d/control:
    - Add branch for Vcs-Git to debian/latest based on DEP-14

  * d/tests/simple.sh:
    - Replace "sosreport" with "sos report". The old command is now deprecated,
      and should be "sos report" in all places.

  * d/p/0004-debian-do-not-install-LICENSE.patch:
    - Rename patch to 0002 for future patch additions, as well as README and
      AUTHORS being duplicated
    - Update patch to not add README and AUTHORS to /usr/share/sos. This was
      causing a duplicate of files in /usr/share/sosreport.

  * Fixed Patches:
    - d/p/0003_man-sos-report.patch
    - d/p/0005-man-Fix-man-page-lintian-issues.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Thu, 29 Aug 2024 19:42:20 +0000

sosreport (4.7.2-3) unstable; urgency=medium

   * d/tests/simple.sh:
     Fix the IP address check, and escape the periods for grepping the IP
     address on the files to check if the IP address is being masked or not.

 -- Arif Ali <arif.ali@canonical.com>  Thu, 22 Aug 2024 09:02:23 +0000

sosreport (4.7.2-2) unstable; urgency=medium

  * d/control, d/rules: (Closes: #1018639)
    - Remove python3-nose
    - The checks have been disabled till we port avocado to Debian

  * d/tests/control:
    - Remove isolation-machine, this is not here for Debian, and only on
      Ubuntu. The autopkgtest fail with this attribute.

  * d/tests/simple.sh:
    - Remove the check of free command. This doesn't work due to the fact
      autopkgtest are run in a docker style environment.
    - Ignore the "Unable to read" messages in stderr for kernel. The
      environment doesn't have these files, and hence brings them into stderr.
      But, this isn't an issue in this particular environment.

  * d/p/*.patch:
    - Updated all patches based on patch-queue. This makes all the patches more
      consistent across the board, and keeps to one style.

  * d/sources/lintian-override:
    - Add file to ignore 2 checks
      1. very-long-line-length-in-source-file
      2. debian-watch-does-not-check-openpgp-signature

  * d/p/0005-man-Fix-man-page-lintian-issues.patch:
    - Explicitly add Forwarded attribute

  * d/p/0003_man-sos-report.patch:
    - Remove the unspelt correction in the description
    - Add Origin, as that has been merged upstream

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0003_man-sos-report.patch
    - d/p/0004-debian-do-not-install-LICENSE.patch
    - d/p/0005-man-Fix-man-page-lintian-issues.patch

 -- Arif Ali <arif.ali@canonical.com>  Wed, 21 Aug 2024 08:13:08 +0000

sosreport (4.7.2-1) unstable; urgency=medium

  * d/control:
    - Add 'python3-packaging' as part of the runtime depends.
    - Add 'python3-packaging' as part of the build depends:
      Use packaging for version comparison instead of pkg_resources from
      setuptools.
    - Add 'python3-yaml' as part of the build depends:
      The new saltstack collect plugin now imports the yaml module, this is
      now required to build and run the sos package.
    - Add 'python3-boto3' to Recommends:
      A new feature for uploading to S3 was implemented and the boto3 module
      is used for this. Although not a hard requirement, but could be useful
      moving forward.
    - Add dep python3-nose and python3-coverage back for nosetests.
    - bump standards version to 4.7.0.
    - lintian: Add Rules-Requires-Root.
    - Maintainer change from Eric to sosreport Team, as agreed with Eric.
    - Add Arif and David as Uploaders.

  * d/copyright:
    - Update to reflect the various licensing of files.
    - Removed entry for kernelrt.py, as that would be consistent

  * d/rules:
    - Add override_install to copy the sos.conf in the right place for
      Debian.
    - Add nosetests originally that should work. This will be replaced by
      avocado eventually. This is useful to run to ensure that some simple
      set of runs in sos work.

  * d/tests:
    - Remove unnecessary debian tests and files.
    - Update simple.sh from upstream project and consistency with
      downstream.

  * d/sosreport.links:
    - File removed, as /usr/share/sosreport/sosreport doesn't exist and
      the pointer is a broken symbolic link

  * d/watch:
    - Update to fix issue with error output

  * d/upstream/metadata:
    - Add file as per lintian on mentors

  * Former patches now fixed upstream or resolved:
    - d/p/0004-unittest-assertEquals.patch
    - d/p/0002-debian-do-not-install-usr-config.patch:
      The file is being removed via the install override, also the sos.conf
      file is required, and the patch removes this file too

  * d/p/0001-debian-change-tmp-dir-location.patch:
    - lintian: Add Forwarded attribute.

  * d/p/0003_man-sos-report.patch:
    - lintian: Add Forwarded attribute.

  * d/p/0004-debian-do-not-install-LICENSE.patch
    - lintian: Add Forwarded attribute.
    - Update based on removal of d/p/0002* patch

  * d/p/0005-man-Fix-man-page-lintian-issues.patch:
    - Add patch to fix lintian issues for man pages, backported from upstream.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0003_man-sos-report.patch
    - d/p/0004-debian-do-not-install-LICENSE.patch

 -- Arif Ali <arif.ali@canonical.com>  Wed, 14 Aug 2024 08:39:14 +0000

sosreport (4.7.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/copyright: Update to current upstream version. The source is GPL-2
    *only*, and there were a lot of missing copyright holders for plugins and

