=== debian/control ===
Source: sosreport
Maintainer: sosreport Dev Team <sosreport-dev@lists.canonical.com>
Uploaders: Arif Ali <arif.ali@canonical.com>,
           David Negreira <david.negreira@canonical.com>
Section: admin
Priority: optional
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 fdisk,
 gettext,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-magic,
 python3-pexpect,
 python3-packaging,
 python3-yaml,
Homepage: https://github.com/sosreport/sos
Vcs-Browser: https://salsa.debian.org/sosreport-team/sosreport
Vcs-Git: https://salsa.debian.org/sosreport-team/sosreport.git -b debian/latest

Package: sosreport
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-pexpect, python3-magic, python3-packaging
Recommends: e2fsprogs, lsof, mount, python3-boto3
Description: Set of tools to gather troubleshooting data from a system
 Sos is a set of tools that gathers information about system
 hardware and configuration. The information can then be used for
 diagnostic purposes and debugging. Sos is commonly used to help
 support technicians and developers.
