=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sosreport
export DEB_BUILD_OPTIONS+=nocheck

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	# Move config file to the right location.
	mv debian/sosreport/usr/config/sos.conf debian/sosreport/etc/sos/sos.conf
	# Remove unnecessary unused dir.
	rm -rf debian/sosreport/usr/config
