## sosreport 4.8.1

=== debian/changelog ===
sosreport (4.8.1-2) unstable; urgency=medium

  * d/rules:
    Add unit test back without nosetests and using unittests module directly.

  * d/tests/control & d/tests/simple.sh:
    - Fix issue with the lsmod and ip command not being found
    - Fix issue on line 47 showing too many arguments, by surrounding quotes
      in the test.

  * d/p/0004-heat-Obfuscate-Add-auth_encryption_key-in-config.patch:
    The configuration option auth_encryption_key was not being obfuscated by
    default, this patch resolves this particular issue.

  * d/p/0005-placement-Obfuscate-passwords-that-have-been-missed.patch
    The NOVA_API_PASS and PLACEMENT_PASS were not being obfuscated in one of
    the config files. This resolves this particular issue.

  * d/p/0006-mysql-Add-obfuscation-for-password-in-conf-files.patch:
    The password field in one of the config files was not being obfuscated.
    This resolves this particular issue.

  * New patches:
    - d/p/0003-heat-Obfuscate-Add-auth_encryption_key-in-config.patch
    - d/p/0004-placement-Obfuscate-passwords-that-have-been-missed.patch
    - d/p/0005-mysql-Add-obfuscation-for-password-in-conf-files.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Sat, 26 Oct 2024 14:24:02 +0000

sosreport (4.8.1-1) unstable; urgency=medium

  * New Upstream 4.8.1 release.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.8.1

  * d/control:
    - Remove the -b flag for Vcs-Git. The default branch in salsa is now
      debian/latest, so this flag is now redundant.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Wed, 16 Oct 2024 18:40:32 +0000
