## sosreport 4.8.2

=== debian/changelog ===
sosreport (4.8.2-2) unstable; urgency=medium

  * d/t/simple.sh: Fix hostname detection for S01autopkgtest
  * d/t/control: replace dmidecode with lshw, dmidecode does not exist on some
    architectures

 -- Arif Ali <arif.ali@canonical.com>  Mon, 16 Dec 2024 23:26:06 +0000

sosreport (4.8.2-1) unstable; urgency=medium

  * New Upstream 4.8.2 release.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.8.2

  * d/t/simple.sh: Fix autopkgtest script to ignore autopkgtest-run command
    where "autopkgtest" could constitute as a hostname, and fail for one of the
    files.

  * d/t/control: Add dmidecode to Depends, so that the relevant files exist.

  * d/gbp.conf: Add file to allow use defaults for the sosreport project.

  * Former patches now fixed upstream:
    - d/p/0003-heat-Obfuscate-Add-auth_encryption_key-in-config.patch
    - d/p/0004-placement-Obfuscate-passwords-that-have-been-missed.patch
    - d/p/0005-mysql-Add-obfuscation-for-password-in-conf-files.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch

 -- Arif Ali <arif.ali@canonical.com>  Mon, 16 Dec 2024 08:21:44 +0000
