=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-yaml,
 Homepage: https://github.com/sosreport/sos
 Vcs-Browser: https://salsa.debian.org/sosreport-team/sosreport
-Vcs-Git: https://salsa.debian.org/sosreport-team/sosreport.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/sosreport-team/sosreport.git
 
 Package: sosreport
 Architecture: any
