=== debian/tests/control ===
Tests: simple.sh
Depends:
  iproute2,
  kmod,
  lshw,
  sosreport
Restrictions: needs-root, allow-stderr
