## sosreport 4.9.2

=== debian/changelog ===
sosreport (4.9.2-0ubuntu0~24.04.1) noble; urgency=medium

  * New 4.9.2 upstream release. (LP: #2114840)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.9.2

  * Update the package to bring back the sosreport and sos-collector commands
    and their respective man pages. This add various files for this
    - debian/bin.sosreport
    - debian/bin.sos-collector
    - debian/links
    d/rules was updated to install the bin files in the right location

  * d/control: Add 'python3-yaml' as part of depends for the sunbeam plugin

  * wrap-and-sort files, so that in future one-line changes to any of
    the corresponding files.

  * d/copyright:
    - Sync with Debian package

  * d/p/0002-component-Grab-tmpdir-from-policy.patch: Fix a regression
    where the sos was being created in /var/tmp instead of /tmp. The
    hard-coded value is now updated to use the policy which for debian
    defaults to /tmp.

  * Former patches, now fixed:
    - d/p/0002-debian-do-not-install-LICENSE-README-AUTHORS.patch
    - d/p/0003-o_horizon-Obfuscate-credentials-in-local_settings.py.patch:
    - d/p/0004-ceph_common-Obfuscate-rgw-password-in-ceph.conf.patch:
    - d/p/0005-logs-Add-all-auth.log-syslog-and-kerne.log-as-standa.patch:
    - d/p/0006-ubuntu-Revamp-of-plugin.patch:
    - d/p/0007-clean-Update-the-last-command-for-obfuscation.patch:
    - d/p/0008-login-clean-Update-login-plugin-and-use-for-clean.patch:

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Arif Ali <arif-ali@ubuntu.com>  Thu, 24 Jul 2025 15:18:48 +0000

sosreport (4.8.2-0ubuntu0~24.04.2) noble; urgency=medium

  * Resolve obfuscation issues (LP: #2101134)
    - d/p/0003-o_horizon-Obfuscate-credentials-in-local_settings.py.patch:
      Fixes the obfuscation of SECRET_KEY and PASSWORD fields in the config
      file for horizon in /etc/horizon/local_setting.py.
    - d/p/0004-ceph_common-Obfuscate-rgw-password-in-ceph.conf.patch:
      Fixes the obfuscation of "rgw keystone admin password" key in
      /etc/ceph/ceph.conf on the radosgw node.
    - d/p/0005-logs-Add-all-auth.log-syslog-and-kerne.log-as-standa.patch:
      Collect the auth.log, syslog and kern.log now by default. This was
      removed in a prior version. This is very useful for debugging issues for
      support personnel. This re-instates the collection from releases prior
      to 4.4.
    - d/p/0006-ubuntu-Revamp-of-plugin.patch:
      Collect Ubuntu Pro details that were being missed. The package name was
      changed and the plugin was no longer collecting the details.

  * Resolve username clean issues (LP: #2102199)
    - d/p/0007-clean-Update-the-last-command-for-obfuscation.patch:
      Fix username clean issue. A regression was introduced in 4.8.2 where the
      username was not being cleaned due to the command updated from last to
      last -F.
    - d/p/0008-login-clean-Update-login-plugin-and-use-for-clean.patch:
      oracular and plucky don't have last and lastlogin by default, we now use
      lslogins and lastlogin2 to grab the user details and clean based out of
      these outputs.

 -- Arif Ali <arif-ali@canonical.com>  Wed, 12 Mar 2025 17:24:19 +0000

sosreport (4.8.2-0ubuntu0~24.04.1) noble; urgency=medium

  * New 4.8.2 upstream release. (LP: #2091858)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.8.2

  * d/t/simple.sh:
    - Fix the IP address check, and escape the periods for grepping the IP
      address on the files to check if the IP address is being masked or not.
    - Replace "sosreport" with "sos report". The old command is now deprecated,
      and should be "sos report" in all places.
    - Fix S01autopkgtest and autopkgtest-run mis-represented as a hostname.

  * Former patches, now fixed:
    - d/p/0003-sunbeam_hypervisor-Fix-obfuscation-for-ceilometer-an.patch
    - d/p/0004-heat-Obfuscate-Add-auth_encryption_key-in-config.patch
    - d/p/0005-placement-Obfuscate-passwords-that-have-been-missed.patch
    - d/p/0006-mysql-Add-obfuscation-for-password-in-conf-files.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Arif Ali <arif-ali@canonical.com>  Mon, 16 Dec 2024 11:14:47 +0000

sosreport (4.7.2-0ubuntu1~24.04.2) noble; urgency=medium

  * Resolve obfuscation issues (LP: #2085607)
    - d/p/0003-sunbeam_hypervisor-Fix-obfuscation-for-ceilometer-an.patch:
      The sunbeam plugin was added recently, but ceilometer wasn't there.
    - d/p/0004-heat-Obfuscate-Add-auth_encryption_key-in-config.patch:
      The configuration option auth_encryption_key was not being
      obfuscated by default.
    - d/p/0005-placement-Obfuscate-passwords-that-have-been-missed.patch
      The NOVA_API_PASS and PLACEMENT_PASS were not being obfuscated
      in one of the config files.
    - d/p/0006-mysql-Add-obfuscation-for-password-in-conf-files.patch:
      The password field in one of the config files was not being obfuscated.

 -- Arif Ali <arif.ali@canonical.com>  Thu, 24 Oct 2024 06:45:01 +0000

sosreport (4.7.2-0ubuntu1~24.04.1) noble; urgency=medium

  * New 4.7.2 upstream release. (LP: #2054395)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.7.2

  * d/control:
    - Add 'python3-packaging' as part of the runtime depends.
    - Add 'python3-packaging' as part of the build depends:
      Use packaging for version comparison instead of pkg_resources from
      setuptools.
    - Add 'python3-yaml' as part of the build depends:
      The new saltstack collect plugin now imports the yaml module, this is
      now required to build and run the sos package
    - Add 'python3-boto3' as part of the runtime Recommends:
      A new feature for uploading to S3 was implemented and the boto3 module
      is used for this. Although not a hard requirement, but could be useful

