=== debian/tests/control ===
Tests:
 simple.sh,
Depends:
 sosreport,
Restrictions:
 allow-stderr,
 isolation-machine,
 needs-root,
