## sosreport 4.10.2

=== debian/changelog ===
sosreport (4.10.2-0ubuntu0~24.04.1) noble; urgency=medium

  * New 4.10.2 upstream release. (LP: #2136302)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.10.2

  * d/control: Add gpg to Recommends so that we are able encrypt and decrypt
    sos report archives

  * d/copyright: sync with Debian

  * Former patches, now fixed:
    - d/p/0002-component-Grab-tmpdir-from-policy.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Arif Ali <arif-ali@ubuntu.com>  Tue, 16 Dec 2025 18:05:32 +0000
