=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
+ gpg,
  python3-boto3,
 Description: Set of tools to gather troubleshooting data from a system
  Sos is a set of tools that gathers information about system
